summaryrefslogtreecommitdiff
path: root/test/common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common.sh')
-rw-r--r--test/common.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/common.sh b/test/common.sh
new file mode 100644
index 0000000000..702d1ed051
--- /dev/null
+++ b/test/common.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+OUTPUT_DIR=sandbox
+
+fail() {
+ echo "Test failed: $1"
+ if [ -n ${tmp} ]; then
+ rm ${tmp}
+ fi
+ exit 1
+}
+
+build_uboot() {
+ echo "Build sandbox"
+ OPTS="O=${OUTPUT_DIR} $1"
+ NUM_CPUS=$(grep -c processor /proc/cpuinfo)
+ echo ${OPTS}
+ make ${OPTS} sandbox_config
+ make ${OPTS} -s -j${NUM_CPUS}
+}